Getting list of work rules

Getting list of work rules

Request

GET

https://fleet-api.taxi.yandex.net/v1/parks/driver-work-rules

Query parameters

Name

Description

park_id

Type: string

Partner ID

Example: ee6f33c4562b4e1f8646d157bd70b2c4

Headers

Name

Description

Accept-Language

Type: string

Preferred language of the response

Min length: 2

Example: ru

X-API-Key

Type: string

API-key

Min length: 1

Example: <API key>

X-Client-ID

Type: string

Client ID

Min length: 1

Example: <Client ID>

Responses

200 OK

List of working conditions

Body

application/json
{
  "rules": [
    {
      "id": "06640a5568bf4c238324d34fd1769a64",
      "is_enabled": true,
      "name": "In-house"
    }
  ]
}

Name

Description

rules

Type: DriverWorkRules

Example
[
  {
    "id": "06640a5568bf4c238324d34fd1769a64",
    "is_enabled": true,
    "name": "In-house"
  }
]

DriverWorkRuleId

Working condition ID

Type: string

Example: 06640a5568bf4c238324d34fd1769a64

DriverWorkRule

Name

Description

id

Type: DriverWorkRuleId

Working condition ID

Example: 06640a5568bf4c238324d34fd1769a64

is_enabled

Type: boolean

Whether the working condition is enabled

name

Type: string

Working condition name

Example: In-house

Example
{
  "id": "06640a5568bf4c238324d34fd1769a64",
  "is_enabled": true,
  "name": "In-house"
}

DriverWorkRules

Type: DriverWorkRule[]

Example
[
  {
    "id": "06640a5568bf4c238324d34fd1769a64",
    "is_enabled": true,
    "name": "In-house"
  }
]

401 Unauthorized

Request authorization parameters are missing

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

403 Forbidden

Insufficient rights to execute the request

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

429 Too Many Requests

Limit of requests was exceeded

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

500 Internal Server Error

Internal server error

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example